☰

Dispatch

Dispatch

Overview

Network Protection dispatch (commit queue) API under /spe/np.

Version information

Version : 1.0.0.BETA

License information

Terms of service : https://www.nexusguard.com/

URI scheme

Host : api.nexusguard.com
BasePath : /api
Schemes : HTTPS

Paths

List pending commit actions for a Network Protection site.

GET /spe/np/dispatch/site/{site_id}

Description

Returns audit log entries that are saved but not yet committed (dispatched) for the given Network Protection site. For SPE admin calls, customer id (uid) is 0.

Parameters

Type Name Description Schema
Path site_id
required
Network Protection site identifier. Can be obtained from GET /spe/np/sites. string
Query access_token
required
Access token used to authenticate your access to the API. Can be obtained by invoking this API. string

Responses

HTTP Code Description Schema
200 Response sent when the API is successfully invoked. Response 200

Response 200

Name Description Schema
code
optional
Error code. 0 indicates success. integer
msg
optional
Error message. string
result
optional
Commit queue payload. result

result

Name Description Schema
auditlog
optional
Pending audit log entries. < auditlog > array
dispatch_num
optional
Total number of pending actions in the commit queue. integer

auditlog

Name Description Schema
log_action
optional
Human-readable description of the action. string
log_obj_name
optional
Name of the affected object (e.g. site name). string
username
optional
User who performed the action. string
utime
optional
Timestamp when the action was recorded. integer

Consumes

Produces

Security

Type Name
apiKey ApiKeyAuth

Commit pending actions for a Network Protection site.

POST /spe/np/dispatch/site/{site_id}/commit

Description

Commits (dispatches) all pending audit log actions for the given Network Protection site.

Parameters

Type Name Description Schema
Path site_id
required
Network Protection site identifier. Can be obtained from GET /spe/np/sites. string
Query access_token
required
Access token used to authenticate your access to the API. Can be obtained by invoking this API. string
FormData dispatch_msg
required
Commit message describing the changes being dispatched. string

Responses

HTTP Code Description Schema
200 Response sent when the API is successfully invoked. SuccessResponse

Consumes

Produces

Security

Type Name
apiKey ApiKeyAuth

Definitions

SuccessResponse

Success response without business payload.

Name Description Schema
code
optional
Error code. 0 indicates success. integer
msg
optional
Error message. string

Security

ApiKeyAuth

Type : apiKey
Name : access_token
In : QUERY